package org.objectweb.jonas.jtests.beans.relation.lcp;

import javax.ejb.ObjectNotFoundException;
import javax.ejb.FinderException;
import javax.ejb.CreateException;


public interface SIMPLECHILDLocalHome extends javax.ejb.EJBLocalHome {

    SIMPLECHILDLocal createDEFAULT(String scPkId, String scDesc, SIMPLEPARENTLocal _SimplechildSimpleparent)
        throws CreateException ;

    SIMPLECHILDLocal findByPrimaryKey(SIMPLECHILDPK primarykey)
        throws ObjectNotFoundException, FinderException ;

    java.util.Collection findByfindall()
        throws javax.ejb.FinderException ;

}
